Skip to main content

CascoApi (1.0)

Download OpenAPI specification:Download

CascoApi documentation

Authentication

Authenticate

Authenticate an account by account/password

query Parameters
account
required
string

Account

password
required
string

Password

Responses

Response samples

Content type
application/json
{
  • "error": "false",
  • "status": "200",
  • "data": {
    }
}

Deautenticate

Deautenticate an existing and valid auth token

Responses

Renew token

Renew an authentication token

header Parameters
Token
required
string
Example: Refresh [refresh_token]

The Refresh token received from the POST /auth or PATCH /auth endpoint's response field name refresh_token.

Responses

Response samples

Content type
application/json
{
  • "error": "false",
  • "status": "200",
  • "data": {
    }
}

Products

Get a quote

A quote is obtained from the insurer for the product specified in the request.

header Parameters
Token
required
string <jwt>

The JWT token received from the POST /auth endpoint's response field name token. This should be included in the header as Token: <JWT Token>.

Request Body schema: application/json
required

JSON format body

required
object (ProviderData)

Data object representing a provider

required
object (ProductData)

Data object representing a product

Responses

Request samples

Content type
application/json
{
  • "provider": {
    },
  • "product": {
    }
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

Download offer

Download offer in PDF format

path Parameters
id
required
integer

Offer identification number

header Parameters
Token
required
string <jwt>

The JWT token received from the POST /auth endpoint's response field name token. This should be included in the header as Token: <JWT Token>.

Responses

Response samples

Content type
application/json
{
  • "data": {
    }
}

Download policy

Download policy in PDF format

query Parameters
series
required
string

Policy identification series

number
required
integer

Policy identification number

header Parameters
Token
required
string <jwt>

The JWT token received from the POST /auth endpoint's response field name token. This should be included in the header as Token: <JWT Token>.

Responses

Response samples

Content type
application/json
{
  • "data": {
    }
}

Transform the offer into a policy.

The offer is transformed into a policy based on the offer identifier.

header Parameters
Token
required
string <jwt>

The JWT token received from the POST /auth endpoint's response field name token. This should be included in the header as Token: <JWT Token>.

Request Body schema: application/json
required

JSON formatted body

offerId
required
number

The unique identifier of the offer

required
object (PaymentData)

Data object representing a payment

Responses

Request samples

Content type
application/json
{
  • "offerId": 12345,
  • "payment": {
    }
}

Response samples

Content type
application/json
{
  • "data": {
    }
}

Nomenclature

Nomenclature

List of countries

header Parameters
Token
required
string <jwt>

The JWT token received from the POST /auth endpoint's response field name token. This should be included in the header as Token: <JWT Token>.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ]
}

List of counties

header Parameters
Token
required
string <jwt>

The JWT token received from the POST /auth endpoint's response field name token. This should be included in the header as Token: <JWT Token>.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ]
}

List of localities filtered by county code

path Parameters
county_code
required
integer

County code

header Parameters
Token
required
string <jwt>

The JWT token received from the POST /auth endpoint's response field name token. This should be included in the header as Token: <JWT Token>.

Responses

Response samples

Content type
application/json
{
  • "error": "false",
  • "status": "200",
  • "data": [
    ]
}

List of vehicle makes

header Parameters
Token
required
string <jwt>

The JWT token received from the POST /auth endpoint's response field name token. This should be included in the header as Token: <JWT Token>.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ]
}

List of vehicle models filtered by vehicle make

path Parameters
make
required
string

Vehicle make name

header Parameters
Token
required
string <jwt>

The JWT token received from the POST /auth endpoint's response field name token. This should be included in the header as Token: <JWT Token>.

Responses

Response samples

Content type
application/json
{
  • "data": [
    ]
}

Risk Inspection

Risk Inspection

Upload risk inspection files.

Upload risk inspection files.

Request Body schema: multipart/form-data
required
offerId
integer

ID of the offer associated with the file. The field is required when policySeries and policyNumber are not provided.

policySeries
string

Series of the policy associated with the file. The field is required when offerId is not provided.

policyNumber
string

Number of the policy associated with the file. The field is required when offerId is not provided.

fileName
required
string

Name of the uploaded file

fileType
required
string (DocumentFileTypeEnum)
Enum: "drivingLicense" "birthCertificate" "passport" "idCard" "registrationCertificate" "constitutiveAct" "vehicleDocument" "clientDocument" "riskInspectionPhoto"

Enum representing document types

file
required
string <binary>

The file to be uploaded

Responses

Response samples

Content type
application/json
{
  • "correlation_id": "0091aade-62a9-4474-a443-dc7c96d83c1d",
  • "message": "Not Found"
}

Helper

Helper

Identify a vehicles identification code based on it's mechanical data.

Identify a vehicles identification code based on it's mechanical data.

header Parameters
Token
required
string <jwt>

The JWT token received from the POST /auth endpoint's response field name token. This should be included in the header as Token: <JWT Token>.

Request Body schema: application/json
required

JSON format body

vin
string

Vehicle Identification Number (VIN)

motorSeries
string

Vehicle motor series (if applicable)

vehicleType
required
string (VehicleTypeEnum)
Enum: "M1" "M1G" "M2" "M2G" "M3" "M3G" "N1" "N1G" "N2" "N2G" "N3" "N3G" "O1" "O2" "O3" "O4" "L1e" "L2e" "L3e" "L4e" "L5e" "L6e" "L7e" "T" "C" "R" "S"

Enum representing vehicle types

brand
required
string

Brand of the vehicle

model
required
string

Model of the vehicle

yearOfConstruction
required
integer

Year the vehicle was constructed


  • Max. [current year] + 1
engineDisplacement
integer

Engine displacement in cubic centimeters


  • Not required for electric vehicles or trailers
enginePower
integer

Engine power (kW)


  • Not required for trailers
totalWeight
integer

Total weight of the vehicle in kilograms

seats
integer

Number of seats in the vehicle


  • Not required for trailers
fuelType
string (FuelTypeEnum)
Enum: "petrol" "diesel" "electric" "hybrid" "lpg" "none"

Enum representing fuel types for vehicles

currentMileage
integer

Current mileage of the vehicle in kilometers

color
string (ColorEnum)
Enum: "white" "blue" "yellow" "gray" "brown" "black" "orange" "red" "green" "purple"

Enum representing colors for vehicles

marketValue
number <float>

Market value of the vehicle

Responses

Request samples

Content type
application/json
{
  • "vin": "1HGCM82633A123456",
  • "motorSeries": "e2007",
  • "vehicleType": "M1",
  • "brand": "Toyota",
  • "model": "Corolla",
  • "yearOfConstruction": 2020,
  • "engineDisplacement": 1800,
  • "enginePower": 140,
  • "totalWeight": 1500,
  • "seats": 5,
  • "fuelType": "petrol",
  • "currentMileage": 120000,
  • "color": "white",
  • "marketValue": "100000.00"
}

Response samples

Content type
application/json
{
  • "data": {
    }
}